"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class PushManagerHelper {
    static publicKeyToApplicationServerKey(publicKey) {
        if (!publicKey) {
            throw new Error('Public Key cannot be null');
        }
        const publicKeyBase64 = PushManagerHelper.publicKeyToBase64(publicKey);
        const publicKeyBase64Decoded = PushManagerHelper.decodeBase64(publicKeyBase64);
        const array = new Uint8Array(publicKeyBase64Decoded.length);
        for (let i = 0; i < publicKeyBase64Decoded.length; ++i) {
            array[i] = publicKeyBase64Decoded.charCodeAt(i);
        }
        return array;
    }
    static decodeBase64(base64String) {
        return Buffer.from(base64String, 'base64').toString();
    }
    static publicKeyToBase64(publicKey) {
        const padding = '='.repeat((4 - (publicKey.length % 4)) % 4);
        const result = `${publicKey}${padding}`.replace(/\-/g, '+').replace(/_/g, '/');
        return result;
    }
}
exports.PushManagerHelper = PushManagerHelper;
//# sourceMappingURL=push-manager.js.map