"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
class WebPushHelper {
    static generateVAPIDKeys() {
        const curve = crypto.createECDH('prime256v1');
        curve.generateKeys();
        let publicKeyBuffer = curve.getPublicKey();
        let privateKeyBuffer = curve.getPrivateKey();
        if (privateKeyBuffer.length < 32) {
            const padding = new Buffer(32 - privateKeyBuffer.length);
            padding.fill(0);
            privateKeyBuffer = Buffer.concat([privateKeyBuffer, padding]);
        }
        if (publicKeyBuffer.length < 65) {
            const padding = new Buffer(65 - publicKeyBuffer.length);
            padding.fill(0);
            publicKeyBuffer = Buffer.concat([publicKeyBuffer, padding]);
        }
        return {
            publicKey: publicKeyBuffer.toString('base64'),
            privateKey: privateKeyBuffer.toString('base64'),
        };
    }
}
exports.WebPushHelper = WebPushHelper;
//# sourceMappingURL=web-push.js.map