"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class AuthorizationMiddleware {
    static build() {
        return (request, response, next) => __awaiter(this, void 0, void 0, function* () {
            const clientRepository = request['clientRepository'];
            const keyOrPublicKey = request.get('authorization');
            if (!keyOrPublicKey) {
                response.status(401).end();
                return;
            }
            const clientByKey = yield clientRepository.find(keyOrPublicKey);
            const clientByPublicKey = yield clientRepository.findByPublicKey(keyOrPublicKey);
            if (!clientByKey && !clientByPublicKey) {
                response.status(401).end();
                return;
            }
            request['client'] = clientByKey || clientByPublicKey;
            next();
        });
    }
}
exports.AuthorizationMiddleware = AuthorizationMiddleware;
//# sourceMappingURL=authorization.js.map