"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const client_1 = require("../models/client");
const NeDB = require("nedb");
class InMemoryClientRepository {
    constructor(fileName) {
        if (!fileName || !InMemoryClientRepository.database) {
            InMemoryClientRepository.database = new NeDB({
                autoload: true,
                filename: fileName,
            });
        }
    }
    find(key) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((resolve, reject) => {
                InMemoryClientRepository.database.findOne({ key }, (error, document) => {
                    if (!document) {
                        resolve(null);
                        return;
                    }
                    resolve(new client_1.Client(document.id, document.key, document.publicKey, document.privateKey, document.endpoint));
                });
            });
        });
    }
    findById(id) {
        return new Promise((resolve, reject) => {
            InMemoryClientRepository.database.findOne({ id }, (error, document) => {
                if (!document) {
                    resolve(null);
                    return;
                }
                resolve(new client_1.Client(document.id, document.key, document.publicKey, document.privateKey, document.endpoint));
            });
        });
    }
    findByPublicKey(publicKey) {
        return new Promise((resolve, reject) => {
            InMemoryClientRepository.database.findOne({ publicKey }, (error, document) => {
                if (!document) {
                    resolve(null);
                    return;
                }
                resolve(new client_1.Client(document.id, document.key, document.publicKey, document.privateKey, document.endpoint));
            });
        });
    }
    insert(client) {
        return __awaiter(this, void 0, void 0, function* () {
            InMemoryClientRepository.database.insert(client);
        });
    }
}
InMemoryClientRepository.database = null;
exports.InMemoryClientRepository = InMemoryClientRepository;
//# sourceMappingURL=in-memory-client.js.map