import { IClientRepository } from '../interfaces/client-repository';
import { Client } from '../models/client';
import * as mongodb from 'mongodb';
export declare class MongoClientRepository implements IClientRepository {
    protected host: string;
    protected static client: mongodb.MongoClient;
    protected static database: mongodb.Collection;
    constructor(host: string);
    close(): void;
    find(key: string): Promise<Client>;
    findById(id: string): Promise<Client>;
    findByPublicKey(publicKey: string): Promise<Client>;
    insert(client: Client): Promise<void>;
    wait(): Promise<void>;
    protected initialize(): Promise<void>;
}
