import { ISubscriptionRepository } from '../interfaces/subscription-repository';
import { Subscription } from '../models/subscription';
import * as mongodb from 'mongodb';
export declare class MongoSubscriptionRepository implements ISubscriptionRepository {
    protected host: string;
    protected static client: mongodb.MongoClient;
    protected static database: mongodb.Collection;
    constructor(host: string);
    close(): void;
    delete(key: string, channel: string, endpoint: string): Promise<void>;
    find(key: string, channel: string, endpoint: string): Promise<Subscription>;
    findAll(key: string, channel: string): Promise<Array<Subscription>>;
    findChannels(key: string): Promise<Array<string>>;
    insert(key: string, channel: string, subscription: Subscription): Promise<void>;
    wait(): Promise<void>;
    protected initialize(): Promise<void>;
}
