"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const client_post_1 = require("../validators/requests/client-post");
class ClientRouter {
    static post(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                if (!client_post_1.ClientPostRequestValidator.validateBody(request.body)) {
                    response.status(400).json({
                        message: `Invalid Request Body`,
                    });
                    return;
                }
                const endpoint = request.body.endpoint;
                const clientService = request['clientService'];
                const client = yield clientService.create(endpoint);
                response.status(201).json({
                    id: client.id,
                    key: client.key,
                    publicKey: client.publicKey,
                });
            }
            catch (error) {
                console.error(error);
                response.status(500).json({
                    message: 'An error occurred'
                });
            }
        });
    }
    static channelsGet(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const client = request['client'];
                const clientService = request['clientService'];
                const channels = yield clientService.channels(client.key);
                response.json(channels);
            }
            catch (error) {
                console.error(error);
                response.status(500).json({
                    message: error.message,
                    stackTrace: error.stackTrace,
                });
            }
        });
    }
}
exports.ClientRouter = ClientRouter;
//# sourceMappingURL=client.js.map