"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const prompt_get_1 = require("../validators/requests/prompt-get");
class PromptRouter {
    static get(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!prompt_get_1.PromptGetRequestValidator.validateParams(request.params)) {
                response.status(400).end();
                return;
            }
            if (!prompt_get_1.PromptGetRequestValidator.validateQueryParams(request.query)) {
                response.status(400).end();
                return;
            }
            const clientService = request['clientService'];
            const client = yield clientService.find(request.params.id);
            if (!client) {
                response.status(404).end();
                return;
            }
            const host = request['configuration'].host.startsWith('localhost') ? `http://${request['configuration'].host}/api/v1` : `https://${request['configuration'].host}/api/v1`;
            response.render('allow-notifications', { channels: request.query.channels ? request.query.channels : '', client, host, name: request.query.name });
        });
    }
}
exports.PromptRouter = PromptRouter;
//# sourceMappingURL=prompt.js.map