"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const push_post_1 = require("../validators/requests/push-post");
class PushRouter {
    static post(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                if (!push_post_1.PushPostRequestValidator.validateParams(request.params)) {
                    response.status(400).json({
                        message: `Invalid Request Parameters`,
                    });
                    return;
                }
                const channel = request.params['channel'];
                const payload = request.body;
                const client = request['client'];
                const pushService = request['pushService'];
                yield pushService.create(client, channel, payload);
                response.json('OK');
            }
            catch (error) {
                console.error(error);
                response.status(500).json({
                    message: 'An error occurred'
                });
            }
        });
    }
}
exports.PushRouter = PushRouter;
//# sourceMappingURL=push.js.map