"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class SubscriptionService {
    constructor(subscriptionRepository) {
        this.subscriptionRepository = subscriptionRepository;
    }
    delete(key, channel, endpoint) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!key) {
                throw new Error('Key cannot be null');
            }
            if (!channel) {
                throw new Error('Channel cannot be null');
            }
            if (!endpoint) {
                throw new Error('Endpoint cannot be null');
            }
            const existingSubscription = yield this.subscriptionRepository.find(key, channel, endpoint);
            if (existingSubscription) {
                yield this.subscriptionRepository.delete(key, channel, existingSubscription.endpoint);
            }
        });
    }
    insert(key, channel, subscription) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!key) {
                throw new Error('Key cannot be null');
            }
            if (!channel) {
                throw new Error('Channel cannot be null');
            }
            if (!subscription) {
                throw new Error('Subscription cannot be null');
            }
            subscription.validate();
            const existingSubscription = yield this.subscriptionRepository.find(key, channel, subscription.endpoint);
            if (existingSubscription) {
                return;
            }
            yield this.subscriptionRepository.insert(key, channel, subscription);
        });
    }
}
exports.SubscriptionService = SubscriptionService;
//# sourceMappingURL=subscription.js.map