"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AJV = require("ajv");
class InstallCLIValidator {
    static validate(obj) {
        const schema = {
            type: 'object',
            properties: {
                host: { type: 'string' },
                mongo: { type: 'string' },
                port: { type: 'string', pattern: '\\d' },
                nginx: { type: 'boolean' },
                letsencrypt: { type: 'boolean' },
            },
            required: ['host', 'port'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
    static errors(obj) {
        const schema = {
            type: 'object',
            properties: {
                host: { type: 'string' },
                mongo: { type: 'string' },
                port: { type: 'string', pattern: '\\d' },
                nginx: { type: 'boolean' },
                letsencrypt: { type: 'boolean' },
            },
            required: ['host', 'port'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (valid) {
            return null;
        }
        return validateFn.errors.map((x) => {
            switch (x.keyword) {
                case 'required':
                    return `Please provide a ${x.params.missingProperty}`;
                case 'pattern':
                    return `Please provide a valid ${x.dataPath.substring(1)}`;
                default:
                    return null;
            }
        });
    }
}
exports.InstallCLIValidator = InstallCLIValidator;
//# sourceMappingURL=install.js.map