"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AJV = require("ajv");
class SubscriptionDeleteRequestValidator {
    static validateBody(obj) {
        const schema = {
            type: 'object',
            properties: {
                endpoint: { type: 'string' },
                expirationTime: { type: ['number', 'null'] },
                keys: {
                    type: 'object',
                    properties: {
                        auth: { type: 'string' },
                        p256dh: { type: 'string' },
                    },
                    required: ['auth', 'p256dh'],
                },
            },
            required: ['endpoint', 'expirationTime', 'keys'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
    static validateParams(obj) {
        const schema = {
            type: 'object',
            properties: {
                channel: { type: 'string' },
            },
            required: ['channel'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
}
exports.SubscriptionDeleteRequestValidator = SubscriptionDeleteRequestValidator;
//# sourceMappingURL=subscription-delete.js.map