"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const array_1 = require("../../src/helpers/array");
describe('ArrayHelper', () => {
    describe('#distinct', () => {
        it('Should return distinct list of items', () => __awaiter(this, void 0, void 0, function* () {
            const result = array_1.ArrayHelper.distinct(['a', 'b', 'a', 'b']);
            chai_1.expect(result.length).to.be.eq(2);
        }));
        it('Should throw error given null array', () => __awaiter(this, void 0, void 0, function* () {
            try {
                array_1.ArrayHelper.distinct(null);
                throw new Error('Expected Error');
            }
            catch (error) {
                chai_1.expect(error.message).to.be.eq('Array cannot be null');
            }
        }));
    });
});
//# sourceMappingURL=array.spec.js.map