"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const push_manager_1 = require("../../src/helpers/push-manager");
describe('PushManagerHelper', () => {
    describe('#publicKeyToApplicationServerKey', () => {
        it('Should return application server key', () => __awaiter(this, void 0, void 0, function* () {
            const result = push_manager_1.PushManagerHelper.publicKeyToApplicationServerKey('BBqOI20HlYxLMth7sbTk002PMinG7QVRUC12BEZpvq9r1maySNv30MeHxHSYPzKULqhHiSIsFKsdVlc9IJ1NuwE=');
            chai_1.expect(result.length).to.be.eq(64);
        }));
        it('Should throw error given null public key', () => __awaiter(this, void 0, void 0, function* () {
            try {
                push_manager_1.PushManagerHelper.publicKeyToApplicationServerKey(null);
                throw new Error('Expected Error');
            }
            catch (error) {
                chai_1.expect(error.message).to.be.eq('Public Key cannot be null');
            }
        }));
    });
});
//# sourceMappingURL=push-manager.spec.js.map